/*
 * Copyright 1994-1995 TriloBYTE Software Solutions.
 *
 * Author: Amen Zwa, TriloBYTE.
 */



// static char* sccsid = "XmWidget: %W%\t%G%\tAmen Zwa, TriloBYTE.";



// WSld.h: slider and scroll bar classes



#if !defined(WSLD_H)
#define WSLD_H

#include "WCtl.h"



class WSld : public WCtl {
public:
    WSld() { }
    void set_showvalue(Boolean showflg) {
	XtVaSetValues(xtwgt, XmNshowValue, showflg, 0); }
    void set_range(const ERange& r);
    ERange get_range() const;
};



class WSlider : public WSld {
public:
    WSlider(Widget par);
    // access functions
    void set_cp_slide(XtCallbackProc c, XtPointer u=0) {
	XtAddCallback(xtwgt, XmNvalueChangedCallback, c, u); }
};



class WScrollBar : public WSld {
public:
    WScrollBar(Widget par);
    // access functions
    void set_cp_scroll(XtCallbackProc c, XtPointer u=0) {
	XtAddCallback(xtwgt, XmNvalueChangedCallback, c, u); }
};

#endif	// WSLD_H
